[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: tetex URGENT: can't use ygoth font



Yann Dirson writes:

> Compilation works fine. But dvips fails: it seems that mf produces
> output (despite many "Strange path" warnings), but no file is created
> in /var/spool/texmf/pk/ljfour/public/gothic/, which may explain why
> dvips says "Font ygoth not found".

Older versions of the MakeTeX scripts assume that the font wasn't
created if strange path errors occured.  This is fixed in the most
recent versions.  I'm not entirely certain this was already fixed in
teTeX 0.4pl8.

The relevant change looks like this, and should be made to both
MakeTeXPK and MakeTeXTFM:

-echo "$0: Running $cmd"
-$cmd </dev/null || { echo "$0: \`$cmd' failed." >&2; exit 1; }
+echo "$progname: Running $cmd"
+$cmd </dev/null || {
+  # Don't abort if only "Strange path" errors occurr.
+  grep '^!' $NAME.log >$$.errs 2>/dev/null
+  grep '^! Strange path' $$.errs >$$.strange 2>/dev/null
+  if cmp $$.errs $$.strange >/dev/null 2>&1 \
+    && test -s $$.strange >/dev/null 2>&1; then
+    echo "$progname: warning: \`$cmd' caused strange path errors." >&2
+  else
+    echo "$progname: \`$cmd' failed." >&2
+    exit 1;
+  fi
+}


-- 
Olaf Weber


--
TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .


Reply to: